<script>
    import LoadingScreen from './components/layout/LoadingScreen.vue';

    export default {
        components: { LoadingScreen },
        data: () => ({ isLoading: true }),
        mounted() { setTimeout(() => this.isLoading = false, 800) },
    }
</script>
<template>
    <div class="club-gamer-app shadow-3 t-grey" id="app">
        <transition name="fade">
            <loading-screen v-show="isLoading"/>  
        </transition>     
        <router-view v-show="!isLoading"/>
    </div>
</template>